Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xpath
Interface MutableNodeList

All Known Implementing Classes:
  MutableNodeListImpl

public interface MutableNodeList
extends org.w3c.dom.NodeList

Interface for a modifiable NodeList.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `addNode(org.w3c.dom.Node n)` Add a node.
`int` | `addNodeInDocOrder(org.w3c.dom.Node node, boolean test, XPathSupport support)` Add the node into a vector of nodes where it should occur in document order.
`int` | `addNodeInDocOrder(org.w3c.dom.Node node, XPathSupport support)` Add the node into a vector of nodes where it should occur in document order.
`void` | `addNodes(org.w3c.dom.NodeList nodelist)` Copy NodeList members into this nodelist, adding in document order.
`void` | `addNodesInDocOrder(org.w3c.dom.NodeList nodelist, XPathSupport support)` Copy NodeList members into this nodelist, adding in document order.
`void` | `insertNode(org.w3c.dom.Node n, int pos)` Insert a node at a given position.
`void` | `removeNode(org.w3c.dom.Node n)` Remove a node.
`void` | `setItemNull(int pos)` Set a item to null, so the list doesn't have to keep being compressed.

Methods inherited from interface org.w3c.dom.NodeList
`getLength, item`

Method Detail

### addNode

    public void addNode(org.w3c.dom.Node n)

  Add a node.

### insertNode

    public void insertNode(org.w3c.dom.Node n,
                           int pos)

  Insert a node at a given position.

### removeNode

    public void removeNode(org.w3c.dom.Node n)

  Remove a node.

### setItemNull

    public void setItemNull(int pos)

  Set a item to null, so the list doesn't have to keep being compressed.

### addNodes

    public void addNodes(org.w3c.dom.NodeList nodelist)

  Copy NodeList members into this nodelist, adding in document order. If a node is null, don't add it.

### addNodesInDocOrder

    public void addNodesInDocOrder(org.w3c.dom.NodeList nodelist,
                                   XPathSupport support)

  Copy NodeList members into this nodelist, adding in document order.

### addNodeInDocOrder

    public int addNodeInDocOrder(org.w3c.dom.Node node,
                                 boolean test,
                                 XPathSupport support)

  Add the node into a vector of nodes where it should occur in document order.

  Parameters:
    `v` - Vector of nodes, presumably containing Nodes
    `obj` - Node object.
    `test` - true if we should test for doc order

### addNodeInDocOrder

    public int addNodeInDocOrder(org.w3c.dom.Node node,
                                 XPathSupport support)

  Add the node into a vector of nodes where it should occur in document order.

  Parameters:
    `v` - Vector of nodes, presumably containing Nodes
    `obj` - Node object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD